| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::legacy::MultiTracker_Alt Class Reference
Tracking API » Legacy Tracking API

Base abstract class for the long-term Multi Object Trackers: More...

`#include <opencv2/tracking/tracking_legacy.hpp>`

Collaboration diagram for cv::legacy::MultiTracker_Alt:

## Public Member Functions
| MultiTracker_Alt ()
| Constructor for Multitracker.
bool | addTarget (InputArray image, const Rect2d &boundingBox, Ptr< legacy::Tracker > tracker_algorithm)
| Add a new target to a tracking-list and initialize the tracker with a known bounding box that surrounded the target.
bool | update (InputArray image)
| Update all trackers from the tracking-list, find a new most likely bounding boxes for the targets.

## Public Attributes
std::vector< Rect2d > | boundingBoxes
| Bounding Boxes list for Multi-Object-Tracker.
std::vector< Scalar > | colors
| List of randomly generated colors for bounding boxes display.
int | targetNum
| Current number of targets in tracking-list.
std::vector< Ptr< Tracker > > | trackers
| Trackers list for Multi-Object-Tracker.

## Detailed Description

Base abstract class for the long-term Multi Object Trackers:

See also
  Tracker, MultiTrackerTLD

## Constructor & Destructor Documentation

## ◆ MultiTracker_Alt()

cv::legacy::MultiTracker_Alt::MultiTracker_Alt | ( |  | ) |
| inline

Constructor for Multitracker.

## Member Function Documentation

## ◆ addTarget()

bool cv::legacy::MultiTracker_Alt::addTarget | ( | InputArray | image,
|  | const Rect2d & | boundingBox,
|  | Ptr< legacy::Tracker > | tracker_algorithm )

Add a new target to a tracking-list and initialize the tracker with a known bounding box that surrounded the target.

Parameters

  image | The initial frame
  boundingBox | The initial bounding box of target
  tracker_algorithm | Multi-tracker algorithm

Returns
  True if new target initialization went succesfully, false otherwise

## ◆ update()

bool cv::legacy::MultiTracker_Alt::update | ( | InputArray | image | ) |

Update all trackers from the tracking-list, find a new most likely bounding boxes for the targets.

Parameters

  image | The current frame

Returns
  True means that all targets were located and false means that tracker couldn't locate one of the targets in current frame. Note, that latter does not imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight)

## Member Data Documentation

## ◆ boundingBoxes

std::vector<Rect2d> cv::legacy::MultiTracker_Alt::boundingBoxes

Bounding Boxes list for Multi-Object-Tracker.

## ◆ colors

std::vector<Scalar> cv::legacy::MultiTracker_Alt::colors

List of randomly generated colors for bounding boxes display.

## ◆ targetNum

int cv::legacy::MultiTracker_Alt::targetNum

Current number of targets in tracking-list.

## ◆ trackers

std::vector<Ptr<Tracker> > cv::legacy::MultiTracker_Alt::trackers

Trackers list for Multi-Object-Tracker.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_legacy.hpp